﻿using Steema.TeeChart;
using Steema.TeeChart.Styles;
using Steema.TeeChart.Tools;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WinFormsApp1
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
			CreateChart(true, false);
			InitializeChart();
		}

		private void button3_Click(object sender, EventArgs e)
		{
			MemoryStream stream = new MemoryStream();

			tChart1.Export.Template.Save(stream);
			stream.Position = 0;
			tChart2.Import.Template.Load(stream);
		}

		private void InitializeChart()
		{
			tChart1.Aspect.View3D = false;
			tChart1.Series.Add(typeof(Line)).FillSampleValues();

			ScrollPager scroll = new ScrollPager(tChart1.Chart);
			scroll.Series = tChart1[0];
		}

		private TChart tChart1, tChart2;

		private void CreateChart(bool twocharts = false, bool notheme = true)
		{
			tChart1 = new TChart(!notheme);
			tChart1.Dock = DockStyle.Fill;
			if (twocharts)
			{
				tChart2 = new TChart(!notheme);
				tChart2.Dock = DockStyle.Fill;
				SplitContainer splitContainer2 = new SplitContainer();
				splitContainer2.Orientation = Orientation.Horizontal;
				splitContainer2.Dock = DockStyle.Fill;
				splitContainer2.Panel1.Controls.Add(tChart1);
				splitContainer2.Panel2.Controls.Add(tChart2);
				splitContainer1.Panel2.Controls.Add(splitContainer2);

			}
			else
			{
				splitContainer1.Panel2.Controls.Add(tChart1);
			}
		}

		private void button1_Click(object sender, EventArgs e)
		{
			tChart1.Export.Image.PNG.Save(@"G:\FTP\TChart" + DateTime.Now.Ticks.ToString() + ".png");
		}
	}
}
